Package org.eclipse.spi.net4j

# Interface InternalChannel

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `IBufferHandler`, `IBufferProvider`, `IChannel`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `ILocationAware`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.security.IUserAware`

All Known Implementing Classes:
  `Channel`

public interface InternalChannel extends IChannel, IBufferProvider, org.eclipse.net4j.util.lifecycle.ILifecycle
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`InternalChannel.CountersChangedEvent`
An `event` fired from a `channel` when one of its statistical counters changed.
`static interface`
`InternalChannel.SendQueueEvent`
An `event` fired from a `channel` when a `buffer` is enqueued or dequeued.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`IBufferProvider.Introspection, IBufferProvider.Notification`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`ExecutorService`
`getReceiveExecutor()`
Deprecated.
As of 4.8 no longer supported.
`Queue<IBuffer>`
`getSendQueue()`
`void`
`handleBufferFromMultiplexer(IBuffer buffer)`
`void`
`setID(short id)`
`void`
`setMultiplexer(IChannelMultiplexer channelMultiplexer)`
`void`
`setReceiveExecutor(ExecutorService receiveExecutor)`
Deprecated.
As of 4.8 no longer supported.
`void`
`setUserID(String userID)`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

`handleBuffer`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`getBufferCapacity, provideBuffer, retainBuffer`

### Methods inherited from interface org.eclipse.net4j.channel.IChannel

`getID, getMultiplexer, getReceivedBuffers, getReceivedBytes, getReceiveHandler, getSentBuffers, getSentBytes, sendBuffer, setReceiveHandler`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### setID

void setID(short id)

Since:
  2.0

### setUserID

void setUserID(String userID)

Since:
  2.0

### getReceiveExecutor

@Deprecated ExecutorService getReceiveExecutor()
Deprecated.
As of 4.8 no longer supported.

### setReceiveExecutor

@Deprecated void setReceiveExecutor(ExecutorService receiveExecutor)
Deprecated.
As of 4.8 no longer supported.

### setMultiplexer

void setMultiplexer(IChannelMultiplexer channelMultiplexer)

Since:
  2.0

### handleBufferFromMultiplexer

void handleBufferFromMultiplexer(IBuffer buffer)

### getSendQueue

Queue<IBuffer> getSendQueue()